<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <title>New Conference :: Conference GO!</title>
  <script type="module" src="js/new-presentation.js"></script>
  <script type="module" src="js/checkStatus.js"></script>
</head>
<body>
  <header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand" href="/">Conference GO!</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link d-none" aria-current="page" href="new-location.html">New location</a>
            </li>
            <li class="nav-item">
                <a class="nav-link d-none" aria-current="page" href="new-conference.html">New conference</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="new-presentation.html">New presentation</a>
            </li>
          </ul>
          <form class="d-flex">
            <input class="form-control me-2" type="search" placeholder="Search conferences" aria-label="Search">
            <button class="btn btn-outline-success" type="submit">Search</button>
            <a class="btn btn-primary" href="attend-conference.html">Attend!</a>
          </form>
        </div>
      </div>
    </nav>
  </header>
  <main>
    <div class="container">
        <div class="row">
          <div class="offset-3 col-6">
            <div class="shadow p-4 mt-4">
              <h1>Create a new presentation</h1>
              <form id="create-presentation-form">
                <div class="form-floating mb-3">
                    <!-- name should match the models.py names -->
                  <input placeholder="Presenter name" required type="text" name="presenter_name" id="presenter_name" class="form-control">
                  <label for="presenter_name">Presenter name</label>
                </div>
                <div class="form-floating mb-3">
                  <input placeholder="Presenter email" required type="email" name="presenter_email" id="presenter_email" class="form-control">
                  <label for="starts">Presenter email</label>
                </div>
                <div class="form-floating mb-3">
                    <input placeholder="Comapny name" required type="text" name="company_name" id="company_name" class="form-control">
                    <label for="company_name">Company name</label>
                </div>
                <div class="form-floating mb-3">
                    <input placeholder="Title" required type="text" name="title" id="title" class="form-control">
                    <label for="title">Title</label>
                </div>
                <div class="form mb-3">
                  <!-- <input placeholder="Description" required type="text" name="description" id="description" class="form-control"> -->
                  <label for="synopsis">Synopsis</label>
                  <textarea required type="text" name="synopsis" id="synopsis" class="form-control" rows="3"></textarea>
                </div>
                <div class="mb-3">
                  <select required id="conference" name="conference" class="form-select">
                    <option selected value="">Choose a conference</option>
                  </select>
                </div>
                <button class="btn btn-primary">Create</button>
              </form>
            </div>
          </div>
        </div>
      </div>
  </main>
</body>
</html>